Extract the file name in a manner that works also under Win32.

git-svn-id: svn://svn.lyx.org/lyx/lyx-devel/branches/BRANCH_1_3_X@8157 a592a061-630c-0410-9148-cb99ea01b6c8
This commit is contained in:
Angus Leeming 2003-11-29 18:30:09 +00:00
parent e84a814c18
commit 31d49aac2c
2 changed files with 20 additions and 9 deletions

View File

@ -1,3 +1,8 @@
2003-11-28 Angus Leeming <leeming@lyx.org>
* scripts/convertDefault.sh: use cut to extract the filename,
but do so in a manner that works safely on Win32 machines.
2003-11-17 Roman Maurer <roman.maurer@amis.net>
* examples/sl_splash.lyx: update

View File

@ -6,18 +6,24 @@
# replacement in ~/.lyx/scripts
#
# converts an image from $1 to $2 format
convert -depth 8 $1 $2
if [ $? -ne 0 ]; then
exit $?
fi
convert -depth 8 $1 $2 || {
echo "$0 ERROR"
echo "Execution of \"convert\" failed."
exit 1
}
# It appears that convert succeeded, but we know better than to trust it ;-)
# convert is passed strings in the form "FMT:FILENAME", so use the ':' to
# delimit the two parts.
FILE=`echo $2 | cut -d ':' -f 2`
# Note that Win32 filenames have the form 'C:\my\file',
# so use everything from the first ':' to the end of the line.
FILE=`echo $2 | cut -d ':' -f 2-`
# FSTATUS == 0 is the file exists and == 1 if it does not.
FSTATUS=0
test -f $FILE || FSTATUS=1
test -f $FILE || {
echo "$0 ERROR"
echo "Unable to find file \"${FILE}\""
exit 1
}
exit $FSTATUS
echo "$0 generated file \"${FILE}\" successfully."